找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

查看: 423|回复: 2

新人求问px4toolchain相关问题

[复制链接]
发表于 2018-7-25 19:59:38 | 显示全部楼层 |阅读模式
最近在想用eclipse 按照网上各种教程安装准备编译pixhawk源码 但是在使用工具链时发生如下错误


git submodule update
Cloning into 'NuttX'...
error: error:1407742E:SSL routines:SSL23_GET_SERVER_HELLO:tlsv1 alert protocol version while accessing https://github.com/PX4/NuttX.git/info/refs
fatal: HTTP request failed



看到error中的tlsv1猜想是因为GitHub2月份的更新导致
但是网上大多是给git的tls版本的更新 却一直找不到px4 toolchain的
因该怎么办呢???
回复

使用道具 举报

 楼主| 发表于 2018-7-26 16:41:32 | 显示全部楼层
或者是 我将tlsv升级成1.2的 然后出现
fatal: Needed a single revision
Unable to find current revision in submodule path 'NuttX'
这类问题
一般来说好像是要把这种文件删除
但删除后又回到上面的问题了
回复 支持 反对

使用道具 举报

发表于 2018-8-4 18:01:41 | 显示全部楼层
出现相同问题,不知道怎么办
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

快速回复 返回顶部 返回列表